<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Dec 08 12:43:15 EET 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<title>Constant Field Values</title>
<meta name="date" content="2018-12-08">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Constant Field Values";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#Database">Database.*</a></li>
</ul>
</div>
<div class="constantValuesContainer"><a name="Database">
<!--   -->
</a>
<h2 title="Database">Database.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>Database.<a href="Database/AddressDAO.html" title="class in Database">AddressDAO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="Database.AddressDAO.addAddress">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="Database/AddressDAO.html#addAddress">addAddress</a></code></td>
<td class="colLast"><code>"INSERT INTO \'address\' (\'address\', \'city\' , \'index\') VALUES (?,?,?); "</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="CREATE_TABLE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="Database/AddressDAO.html#createTable">createTable</a></code></td>
<td class="colLast"><code>"CREATE TABLE if not exists \'address\' (\'id\'  INTEGER PRIMARY KEY AUTOINCREMENT, \'address\' text, \'city\' text, \'index\' INTEGER );"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="Database.AddressDAO.deleteByAddress">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="Database/AddressDAO.html#deleteByAddress">deleteByAddress</a></code></td>
<td class="colLast"><code>"DELETE FROM address WHERE address = ?;"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="Database.AddressDAO.deleteById">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="Database/AddressDAO.html#deleteById">deleteById</a></code></td>
<td class="colLast"><code>"DELETE FROM address WHERE id = ?;"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="Database.AddressDAO.getAll">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="Database/AddressDAO.html#getAll">getAll</a></code></td>
<td class="colLast"><code>"SELECT * FROM address"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="Database.AddressDAO.getByAddress">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="Database/AddressDAO.html#getByAddress">getByAddress</a></code></td>
<td class="colLast"><code>"SELECT * FROM address WHERE address = ?;"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="Database.AddressDAO.getById">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="Database/AddressDAO.html#getById">getById</a></code></td>
<td class="colLast"><code>"SELECT * FROM address WHERE id = ?;"</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>Database.<a href="Database/Configuration.html" title="class in Database">Configuration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="Database.Configuration.DB_NAME">
<!--   -->
</a><code>protected&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="Database/Configuration.html#DB_NAME">DB_NAME</a></code></td>
<td class="colLast"><code>"University.s3db"</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>Database.<a href="Database/UnivertsityDAO.html" title="class in Database">UnivertsityDAO</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="Database.UnivertsityDAO.addUniversity">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="Database/UnivertsityDAO.html#addUniversity">addUniversity</a></code></td>
<td class="colLast"><code>"INSERT INTO \'university\' (\'address\', \'name\' , \'YearOfEstablishment\' , \'level\') VALUES (?,?,?,?); "</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="Database.UnivertsityDAO.createTable">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="Database/UnivertsityDAO.html#createTable">createTable</a></code></td>
<td class="colLast"><code>"CREATE TABLE if not exists \'university\' (\'id\'  INTEGER PRIMARY KEY AUTOINCREMENT, \'address\' INTEGER, \'name\' TEXT, \'yearOfEstablishment\' TEXT ,\'level\' TEXT,FOREIGN KEY (address) REFERENCES address (id));"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="Database.UnivertsityDAO.deleteById">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="Database/UnivertsityDAO.html#deleteById">deleteById</a></code></td>
<td class="colLast"><code>"DELETE FROM university WHERE id = ?;"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="Database.UnivertsityDAO.getAll">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="Database/UnivertsityDAO.html#getAll">getAll</a></code></td>
<td class="colLast"><code>"SELECT * FROM university"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="Database.UnivertsityDAO.getUniversityByCity">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="Database/UnivertsityDAO.html#getUniversityByCity">getUniversityByCity</a></code></td>
<td class="colLast"><code>"SELECT * FROM university WHERE address IN \n(SELECT id FROM address WHERE city= ? );"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="Database.UnivertsityDAO.getUniversityByLevel">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="Database/UnivertsityDAO.html#getUniversityByLevel">getUniversityByLevel</a></code></td>
<td class="colLast"><code>"SELECT * FROM university WHERE level=?"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
